module.exports = {
    run: async function (cmd){
        return new Promise((ff, rej) => {
            var child = p.exec(cmd, { env: process.env });
            child.stdout.pipe(process.stdout);
            child.stderr.pipe(process.stderr);
            child.on('close', () => {
                ff()
            }).on('error', function (err) {
                rej(err);
            }).on('exit', function (exitCode) {
                if (exitCode != 0) {
                    rej(`error running ${cmd}. Exit code: ${exitCode}`);
                }
            });
        });
    }
}